## libesmtp 0.8.11

=== examples/Makefile ===

OBJECTS = mail-file.o
LIBESMTP = `libesmtp-config --libs`
CFLAGS = -ansi -pedantic -O2 -g -Wall `libesmtp-config --cflags`

all: mail-file-a mail-file-so

mail-file-a: $(OBJECTS)
	$(CC) -g -static $(OBJECTS) $(LIBESMTP) -o mail-file-a

mail-file-so: $(OBJECTS)
	$(CC) -g $(OBJECTS) $(LIBESMTP) -o mail-file-so

clean:
	rm -f *.o core mail-file-a mail-file-so

## libesmtp 1.0.6

=== examples/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 OBJECTS = mail-file.o
 LIBESMTP = `libesmtp-config --libs`
-CFLAGS = -ansi -pedantic -O2 -g -Wall `libesmtp-config --cflags`
+CFLAGS := $(CFLAGS) -std=c99 -pedantic -O2 -g -W -Wall `libesmtp-config --cflags`
 
 all: mail-file-a mail-file-so

=== debian/changelog ===
libesmtp (1.0.6-1ubuntu2) trusty; urgency=low

  * Rebuild using dh-autoreconf for usable shared libs on ppc64el
    (resolving FTBFS for reverse-build-dependencies on said arch).

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 17 Jan 2014 16:08:55 -0500

libesmtp (1.0.6-1ubuntu1) saucy; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2013 14:02:18 +0200

libesmtp (1.0.6-1build3) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Oct 2012 16:25:30 +0100

libesmtp (1.0.6-1build2) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (LP: #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 28 Feb 2012 12:06:46 +0100

libesmtp (1.0.6-1build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 10:22:00 +0100

libesmtp (1.0.6-1) unstable; urgency=low

  * New upstream release
  * Convert packaging to 3.0 (quilt) format

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 15 Aug 2010 19:04:20 -0400

libesmtp (1.0.4-5) unstable; urgency=low

  * debian/control: Updated Standards-Version to 3.9.0
  * Fixes for CVE-2010-1192 handling NULL bytes (Closes: #572960) -
    thanks to Jan Lieskovsky

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed, 21 Jul 2010 00:00:47 -0400

libesmtp (1.0.4-4) unstable; urgency=low

  * Add debian/watch file for DEHS
  * debian/control: Add Vcs-* headers

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 13 Dec 2009 11:15:45 -0500

libesmtp (1.0.4-3) unstable; urgency=low

  * Update to 3.8.3 standards policy
  * Acknowledge previous version fixed header.c issue 
    (Closes: #294231) (LP: #227680)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sat, 28 Nov 2009 01:32:38 -0500

libesmtp (1.0.4-2) unstable; urgency=low

  * Fix headers.c (Closes: #310968, #451860, #355568)
  * Fix smtp-tls.c (Closes: #311191)
  * Correct libesmtp-config man page (Closes: #254635)

 -- Jeremy T. Bouse <jbouse@debian.org>  Thu, 05 Jun 2008 23:35:31 -0400

libesmtp (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed, 04 Jun 2008 10:32:51 -0400

libesmtp (1.0.3-1.1) unstable; urgency=low

  * Porter NMU.
  * Libtool update (Closes: #314432)

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 21:49:26 +0100

libesmtp (1.0.3-1) unstable; urgency=low

  * New upstream release
  * Patched libesmtp.h to include <sys/types.h> (Closes: #202648)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sat,  1 May 2004 17:50:31 -0700

libesmtp (1.0.1-1) unstable; urgency=low

  * Accept NMU upload (Closes: #217441)
  * Created source with orig+diff (Closes: #216425)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sat,  1 May 2004 17:07:35 -0700

libesmtp (1.0.1-0.1) unstable; urgency=high

  * NMU
  * New upstream release
  * [debian/rules] Run configure in env PTHREAD_LIBS="-lpthread" to ensure
    the libraries are linked with complete inter-library dependencies.
    (Closes: #187354)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 28 Dec 2003 19:52:14 +0100

libesmtp (1.0-2) unstable; urgency=low

  * Build-depend on autotools-dev to use new config.{sub,guess} 
    (Closes: 182160)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 23 Feb 2003 10:25:48 -0800

libesmtp (1.0-1) unstable; urgency=low

  * New upstream release (Closes: #173315)
  * New build environment
  * Corrected debian/copyright (Closes: #173280, #173284)
  * Rebuilt against new libssl (Closes: #177452)

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 11 Feb 2003 11:33:28 -0800

libesmtp (0.8.11-2) unstable; urgency=low

  * Turned on OpenSSL support for SMTP STARTTLS extension

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed,  6 Mar 2002 08:55:59 -0800

libesmtp (0.8.11-1) unstable; urgency=low

  * New upstream release
  * Corrects buffer overflow bug (Closes: #136491) 

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed,  6 Mar 2002 08:37:48 -0800

libesmtp (0.8.10p1-1) unstable; urgency=low

  * New upstream release 

 -- Jeremy T. Bouse <jbouse@debian.org>  Thu, 31 Jan 2002 08:11:40 -0800

libesmtp (0.8.9-1) unstable; urgency=low

  * New upstream release 

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 22 Jan 2002 14:23:27 -0800

libesmtp (0.8.8-1) unstable; urgency=low

  * New upstream release 

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed,  5 Dec 2001 08:00:38 -0800

libesmtp (0.8.7-3) unstable; urgency=low

  * Corrected bug in crammd5/md5.h (Closes: #121658)
    Diff patch sent upstream as appears to be a mistake from 0.8.6
    variable declaration change 

 -- Jeremy T. Bouse <jbouse@debian.org>  Thu, 29 Nov 2001 11:51:35 -0800

libesmtp (0.8.7-2) unstable; urgency=low

  * Fix problem with thinking uploads were NMUs 

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 27 Nov 2001 12:17:57 -0800

libesmtp (0.8.7-1) unstable; urgency=low

  * New upstream release
  * Corrected shlibs versioning (Closes: #120107)

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 26 Nov 2001 18:35:51 -0800

libesmtp (0.8.6-2) unstable; urgency=low

  * Added Build-Conflicts in debian/control to keep from being built
    against SSL (violation of current crypto in main policy) as been
    discovered during examination of buildd logs (specifically m68k) 

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun,  4 Nov 2001 00:52:21 -0800

libesmtp (0.8.6-1) unstable; urgency=low

  * New upstream release 

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 30 Oct 2001 21:55:18 -0800

libesmtp (0.8.4-1) unstable; urgency=low

  * New upstream release (Closes: #110798)

 -- Jeremy T. Bouse <jbouse@debian.org>  Fri, 31 Aug 2001 08:28:45 -0700

libesmtp (0.8.3-1) unstable; urgency=low

  * New upstream bug-fix release 

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon,  9 Jul 2001 09:40:26 -0700

libesmtp (0.8.2-1) unstable; urgency=low

  * New upstream bug-fix release


=== debian/control ===
Source: libesmtp
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jeremy T. Bouse <jbouse@debian.org>
Build-Depends: debhelper (>> 7.0.50),
	quilt (>= 0.46-7~),
	libltdl3-dev,
	libssl-dev,
	dh-autoreconf
Standards-Version: 3.9.1
Homepage: http://www.stafford.uklinux.net/libesmtp/
Vcs-Git: git://git.debian.org/collab-maint/libesmtp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libesmtp.git

Package: libesmtp6
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libesmtp5
Description: LibESMTP SMTP client library
 LibESMTP is a library to manage posting (or submission of) electronic
 mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
 Exim.  It may be used as part of a Mail User Agent (MUA) or another
 program that must be able to post electronic mail but where mail
 functionality is not the program's primary purpose.

Package: libesmtp-dev
Architecture: any
Section: libdevel
Depends: libesmtp6 (= ${binary:Version}), libc6-dev, ${misc:Depends}
Description: LibESMTP SMTP client library development files
 LibESMTP is a library to manage posting (or submission of) electronic
 mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
 Exim.  It may be used as part of a Mail User Agent (MUA) or another
 program that must be able to post electronic mail but where mail
 functionality is not the program's primary purpose.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh --with quilt,autoreconf $@

override_dh_auto_configure:
	dh_auto_configure -- --with-auth-plugin-dir="/usr/lib/esmtp" --enable-etrn

override_dh_install:
	dh_install
	dh_movefiles

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/esmtp

=== debian/watch ===
version=2
http://www.stafford.uklinux.net/libesmtp/download.html (?:.*/)?libesmtp-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate

## libesmtp 1.1.0

=== meson_options.txt ===
option('pthreads', type : 'feature', value : 'auto', description : 'build with support for Posix threads')
option('tls', type : 'feature', value : 'auto', description : 'build with support for STARTTLS extension')
option('xdg', type : 'boolean', value : 'true', description : 'use XDG directory instead of ~/.authenticate')
option('lwres', type : 'feature', value : 'disabled', description : 'use lwres library for getaddrinfo()')
option('bdat', type : 'boolean', value : 'true', description : 'enable SMTP BDAT extension')
option('etrn', type : 'boolean', value : 'true', description : 'enable SMTP ETRN extension')
option('xusr', type : 'boolean', value : 'true', description : 'enable sendmail XUSR extension')

=== debian/changelog ===
libesmtp (1.1.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Hudson-Doyle ]
  * d/patches/time64: cast time_t values to long long before passing to
    *printf functions (code storing time_t values in void* variables will
    still break in 2038). (Closes: #1068782)
  * d/patches/default-source: define _DEFAULT_SOURCE to get access to
    prototype of strlcpy. (Closes: #1071322)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 16 Sep 2024 21:36:36 +0200

libesmtp (1.1.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libesmtp6: Add versioned Replaces and Breaks against
    libesmtp5 (<< 1.0.6-1~) (Closes: #1043058)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 19 Aug 2023 12:04:32 +0200

libesmtp (1.1.0-3) unstable; urgency=medium

  * debian: Clean up build environment
  * Fix missing dependency on libssl-dev.
    Thanks to Salvatore Bonaccorso <carnil@debian.org> (Closes: 997697)
  * Update Standards-Version no changes needed

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 24 Oct 2021 13:55:32 -0400

libesmtp (1.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch

  [ Jeremy T. Bouse ]
  * Remove old outdate build script files
  * Add missing changelog entries for NMUs (Closes: 989766)
  * Rebuild source-only (Closes: 989767)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sat, 12 Jun 2021 21:24:30 -0400

libesmtp (1.1.0-1) unstable; urgency=medium

  * debian/watch: Update to new upstream URL
  * New upstream version 1.1.0
  * Update debian/patches
  * Update to use new Meson/Ninja buildsystem

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 07 Jun 2021 21:51:44 -0400

libesmtp (1.0.6-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add add-TLSv1_1-TLSv1_2-support.patch patch.
    Add support for TLSv1.1+. (Closes: #802658)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 07 Aug 2017 10:52:01 +0200

libesmtp (1.0.6-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop "-lssl -lcrypto" from exported libs flags (Closes: #852884).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 31 Jan 2017 23:51:33 +0100

libesmtp (1.0.6-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add patch to fix OpenSSL check (Closes: #844254)

 -- Hilko Bengen <bengen@debian.org>  Fri, 18 Nov 2016 23:28:19 +0100

libesmtp (1.0.6-4) unstable; urgency=medium

  * Fix FTBFS bug replacing autotools-dev with autoreconf.
    Thanks to Frederic Bonnard <frediz@linux.vnet.ibm.com> (Closes: 757915)

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 26 Aug 2014 14:57:33 -0700

libesmtp (1.0.6-3) unstable; urgency=low

  * Fix FTBFS due to debhelper compat 9 changes to lib directories.
    Thanks to Salvatore Bonaccorso <carnil> (Closes: #753027)

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 01 Jul 2014 11:56:28 -0400

libesmtp (1.0.6-2) unstable; urgency=low

  * Update package to clean up lintian findings
  * Remove .gitignore
  * debian/source/local-options: set unapply-patches option
  * debian/watch: Don't need to use uupdate with gbp
  * debian/control: Update Standards-Version
  * debian/rules: Add '--with autotools-dev' to debhelper.
    Thanks to Mattias Klose (Closes: #727287)
  * debian/control: Update Vcs locations
  * debian/compat: Update debhelper compat to v9
  * debian/libesmtp6.postinst: Remove unnecessary postinst script
  * This is the Wookey untested special due to impatience and inability
    to actually attempt to communicate with fellow developers so I've
    not had time to fully test before uploading and releasing.

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 23 Jun 2014 08:16:57 -0400

=== debian/control ===
Source: libesmtp
Section: libs
Priority: optional
Maintainer: Jeremy T. Bouse <jbouse@debian.org>
Build-Depends: debhelper-compat (=13),
	libltdl3-dev,
	libssl-dev,
	pkg-config,
	meson,
	ninja-build
Standards-Version: 4.6.0
Homepage: https://libesmtp.github.io/
Vcs-Git: https://github.com/jbouse-debian/libesmtp.git
Vcs-Browser: https://github.com/jbouse-debian/libesmtp

Package: libesmtp6
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libesmtp5 (<< 1.0.6-1~)
Breaks: libesmtp5 (<< 1.0.6-1~)
Description: LibESMTP SMTP client library
 LibESMTP is a library to manage posting (or submission of) electronic
 mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
 Exim.  It may be used as part of a Mail User Agent (MUA) or another
 program that must be able to post electronic mail but where mail
 functionality is not the program's primary purpose.

Package: libesmtp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libesmtp6 (= ${binary:Version}), libc6-dev, libssl-dev, ${misc:Depends}
Description: LibESMTP SMTP client library (development files)
 LibESMTP is a library to manage posting (or submission of) electronic
 mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
 Exim.  It may be used as part of a Mail User Agent (MUA) or another
 program that must be able to post electronic mail but where mail
 functionality is not the program's primary purpose.
 .
 This package contains the header files and the static version
 of the library.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libesmtp-$1\.tar\.gz/ \
  https://github.com/libesmtp/libESMTP/tags .*/v?(\d\S+)\.tar\.gz
